var gEnhancedFeedPreview = {
  init: function EFP_init() {
    addEventListener("load", this, false);
    addEventListener("unload", this, false);
  },
  handleEvent: function EFP_handleEvent(aEvent) {
    var os = Cc["@mozilla.org/observer-service;1"].
             getService(Ci.nsIObserverService)
    switch (aEvent.type) {
      case "load":
        os.addObserver(this, "efp-load-styled-feed", false);
        break;
      case "unload":
        os.removeObserver(this, "efp-load-styled-feed");
        break;
    }
  },
  observe: function EFP_observe(aSubject, aTopic, aData) {
    if (aTopic == "efp-load-styled-feed" && !gEFPFeedList.isInList(aData))
      new EFPNotification(aSubject.QueryInterface(Ci.nsIFeedResult));
  }
};

gEnhancedFeedPreview.init();
